/***
 * Reflex-Fractal
 *
 * Copyright (C) 2007 : INRIA - Domaine de Voluceau, Rocquencourt, B.P. 105, 
 * 78153 Le Chesnay Cedex - France 
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: jade <AT> inrialpes <DOT> fr
 *
 * Author: SARDES project - http://sardes.inrialpes.fr
 *
 */
 
package org.ow2.jasmine.jade.reflex.api.control;

import org.ow2.jasmine.jade.fractal.api.control.NoSuchAttributeException;

/**
 * This interface is used to notify an attribute update between the meta and the
 * exec level (and vice versa).
 * 
 * @author <a href="mailto:noel.depalma@inrialpes.fr">Noel de palma</a>
 * 
 */
public interface GenericAttributeNotificationController {

	/**
	 * Set the value of an attribute identified by its name.
	 * 
	 * @param name
	 *            the name of the attribute to read.
	 * @param value
	 *            the value of the attribute.
	 * @throws NoSuchAttributeException
	 *             if the given attribute is unknow.
	 */
	void setAttributeNotification(String name, String value)
			throws NoSuchAttributeException;

}
