/***
 * Reflex-Fractal
 *
 * Copyright (C) 2007 : INRIA - Domaine de Voluceau, Rocquencourt, B.P. 105, 
 * 78153 Le Chesnay Cedex - France 
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: jade <AT> inrialpes <DOT> fr
 *
 * Author: SARDES project - http://sardes.inrialpes.fr
 *
 */
 
package org.ow2.jasmine.jade.reflex.api.control;

/**
 * This interface is used to manage reflex specific attribute (and vice versa).
 * 
 * @author <a href="mailto:fabienne.boyer@inrialpes.fr">Fabienne Boyer</a>
 */
public interface SpecificAttributeController {

	/**
	 * Set a predefined reflex attribute.
	 * 
	 * @param name
	 *            the name of the attribute to set.
	 * @param value
	 *            the value of the attribute.
	 */
	void setReflexAttribute(String name, String value);

	/**
	 * Get a predefined reflex attribute.
	 * 
	 * @param name
	 *            the name of the attribute to set.
	 * @return the value of the attribute.
	 */
	String getReflexAttribute(String name);

}
